# Yaf_Response_Abstract::clearBody

(Yaf >=1.0.0)

Yaf_Response_Abstract::clearBody — Supprime tous les corps de réponse existants

### Description

public Yaf_Response_Abstract::clearBody(string `$key` = ?): bool

Supprime le contenu existant.

### Liste de paramètres

`key`

  La clé du contenu ; si vous n'en spécifiez pas, tous les contenus seront supprimés.

  > Note:

  > Ce paramètre a été introduit depuis la version 2.2.0.

### Valeurs de retour

### Voir aussi

- Yaf_Response_Abstract::setBody() - Définit le contenu de la réponse
- Yaf_Response_Abstract::appendBody() - Ajoute le corps de la réponse
- Yaf_Response_Abstract::prependBody() - Le but de prependBody
- Yaf_Response_Abstract::getBody() - Récupère un contenu existant